﻿<!DOCTYPE html><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /></head><body>
<%var args= it.args,data = it.data ? it.data : it;%>
    <div id="SettingNMS">
       <div class="table-container">
          <div class="table-list" style="padding:0;">
            <form action="../cgi-bin/web_cgi_setting.cgi" method="get">
                <%
                var trapLevel = [
                    "/*[ID_TRAP_LEVEL1]*/",         /*"no used",*/
	                "/*[ID_TRAP_LEVEL2]*/",       /*"All alarms"*/
	                "/*[ID_TRAP_LEVEL3]*/",     /*"General alarm"*/
	                "/*[ID_TRAP_LEVEL4]*/"   /*"Urgent alarm"*/
                ];
                %>
                <dl class="hlms-set">
                    <dt><span>/*[ID_NMS_TRAP]*/&nbsp;:</span></dt>
                    <dd class="ATL-value" id="ATL-value"><%=trapLevel[data.content[0]] %></dd>
                    <div class="sel-set">
                    <dd class="ATL-set">
                         <div class="dropdown">
                            <div class="input_select set_value" data-index="0" name="_trap_level" id="_trap_level"><%=trapLevel[0]%></div>
                            <ul class="language yinc">
                            <%for(var i=0,ilen=trapLevel.length; i<ilen; i++){ %>
                                 <li><a href="javascript:void(0)" rel="<%=i %>"><%=trapLevel[i]%></a></li>
                            <%} %>
                            </ul>
                        </div>
                    </dd>
                    <dd><a href="#" class="btn_2 btn_change_trap" style="float:left; margin:8px 0 0 0; text-align:center;"><i>/*[ID_SET_TRAP]*/</i></a></dd></div>
                </dl>
            </form>
        </div>
      </div>
      <div class="table-container" style="border-top: 10px solid #4B4B4B;margin:0; ">
          <div class="table-title"><span>/*[ID_NMSV2_CONF]*/</span></div>
          <div class="table-list" id="NMS2List" style="min-height:100px; position:relative;" template='
            {{ var args= it.args,data = it.data ? it.data : it; }}
            <div class="table">
                <div class="table-header">
                    <ul>
                        <li class="t-1">&nbsp;</li>
                        <li class="t-2"><strong class="left pl">/*[ID_NMS_IP]*/</strong></li>
                        <li class="t-3"><strong class="left pl">/*[ID_NMS_PUBLIC]*/</strong></li>
                        <li class="t-4"><strong class="left pl">/*[ID_NMS_PRIVATE]*/</strong></li>
                        <li class="t-5"><strong class="left pl">/*[ID_TRAP_ENABLE]*/</strong></li>
                    </ul>
                </div>
                <div class="table-body">
                    {{ for(var i=0,ilen=data.content.length; i<ilen; i++){ 
                        var nmsIP = data.content[i][1];
                        var PublicCommunity = data.content[i][2];
                        var PrivateCommunity = data.content[i][3];
                        var _trap_enable = (data.content[i][4]==0) ? "/*[ID_DISABLE2]*/" : "/*[ID_ENABLE2]*/";
                        var datas = "\{\"_ip\":\""+$.trim(nmsIP)+"\",\"_public_community\":\""+$.trim(PublicCommunity)+"\",\"_private_community\":\""+$.trim(PrivateCommunity)+"\",\"_trap_enable\":\""+$.trim(data.content[i][4])+"\",\"NMS2_ipv6\":\""+$.trim(data.content[i][5])+"\"}";
                        }}
                        <ul class="{{if(i%2==0){}}gray{{};}}">
                        <li class="t-1"><span class="left pl"><div name="nms2Select" value="" class="radiodiv radiodivnot" data={{=datas}}></div></span></li>
                        <li class="t-2"><span class="left pl">{{=nmsIP }}</span></li>
                        <li class="t-3"><span class="left pl">{{=PublicCommunity }}</span></li>
                        <li class="t-4"><span class="left pl">{{=PrivateCommunity }}</span></li>
                        <li class="t-5"><span class="left pl">{{=_trap_enable }}</span></li>
                        </ul>
                    {{} }}
                </div>
                <div class="user-remove"><a href="#" hideFocus="true" class="btn_2 delete"><span>/*[ID_DELETE]*/</span></a></div>
            </div>
            <div class="set-form clearfix" style="width: initial;margin:0; border:none;height:auto; position:relative;">
             <form action="../cgi-bin/web_cgi_setting.cgi" id="NMS2Form" method="POST" style="padding:0;height:100px;">
				<input type="hidden" id="NMS2_ipv6" value="0"/>
				<table cellspacing="0" cellpadding="0" class="table-b">
				    <tbody>
				        <tr>
				            <td><p class="right"><span>/*[ID_NMS_IP1]*/:</span></p></td>
				            <td><p class="left padding-ln"><input name="_ip" id="_ip" type="text" value=""/> <span style="display:none" class="ipv6 nms2-ipv6"><input type="checkbox" name="isIPV6" id="isIPV6" style="width:auto"><span class="ipv6-text">/*[ID_IPV6_ADDR]*/</span></span></p></td>
				            <td><p class="right"><span>/*[ID_NMS_PUBLIC1]*/:</span></p></td>
				            <td><p class="left padding-ln"><input name="_public_community" id="_public_community" type="text" size="16" maxLength="16" value=""/></p></td>
				        </tr>
				         <tr>
				            <td><p class="right"><span>/*[ID_NMS_PRIVATE1]*/:</span></p></td>
				            <td><p class="left padding-ln"><input name="_private_community" id="_private_community" type="text" size="16" maxLength="16" value=""/></p></td>
				            <td><p class="right"><span>/*[ID_TRAP_ENABLE1]*/:</span></p></td>
				            <td><p class="left padding-ln">
                                    <div class="dropdown">
                                        <div class="input_select set_value" data-index="0" name="_trap_enable" id="_trap_enable">/*[ID_DISABLE]*/</div>
                                            <ul class="language yinc">
                                                 <li><a href="javascript:void(0)" rel="0">/*[ID_DISABLE4]*/</a></li>
                                                 <li><a href="javascript:void(0)" rel="1">/*[ID_ENABLE]*/</a></li>
                                        </ul>
                                    </div>
                                </p>
                            </td>
				        </tr>
				    </tbody>
				</table>
				<div class="user-set">
				     <a href="#" hideFocus="true" class="btn_2 modify"  style="float:left;{{if(data.content.length==0){}} display:none {{ } }}" ><span>/*[ID_MODIFY]*/</span></a>
                     <a href="#" hideFocus="true" class="btn_2 add"  style="float:left"><span>/*[ID_ADD]*/</span></a>
                     <a href="#" hideFocus="true" class="btn_2 formReset"  style="float:left"><span>/*[ID_RESET]*/</span></a>
				</div>
             </form>
        </div>'></div>
      </div>
      <div class="table-container" id="NMS3">                    
          <div class="table-title"><span>/*[ID_NMSV3_CONF]*/</span></div>
          <div class="table-list" id="NMS3List" style="min-height:100px; position:relative;" template='
            {{ var args= it.args,data = it.data ? it.data : it; }}
            {{
                var trapLevel = [
	                "/*[ID_NMS_TRAP_LEVEL0]*/",     /*"NoAuthNoPriv"*/
	                "/*[ID_NMS_TRAP_LEVEL1]*/",       /*"AuthNoPriv"*/
	                "/*[ID_NMS_TRAP_LEVEL2]*/"          /*"AuthPriv"*/
                ];
            }}
            <div class="table" >
                <div class="table-header">
                    <ul>
                        <li class="t-1">&nbsp;</li>
                        <li class="t-2"><strong class="left pl">/*[ID_NMS_USERNAME]*/</strong></li>
                        <li class="t-3"><strong class="left pl">/*[ID_NMS_DES]*/</strong></li>
                        <li class="t-4"><strong class="left pl">/*[ID_NMS_MD5]*/</strong></li>
                        <li class="t-5"><strong class="left pl">/*[ID_V3TRAP_ENABLE]*/</strong></li>
                        <li class="t-6"><strong class="left pl">/*[ID_NMS_TRAP_IP]*/</strong></li>
                        <li class="t-7"><strong class="left pl">/*[ID_NMS_V3TRAP_LEVE]*/</strong></li>
                    </ul>
                </div>
                <div class="table-body">
                    {{ 
                    for(var i=0,ilen=data.content.length; i<ilen; i++){ 
                        var userName = data.content[i][1];
                        var PrivPasswordDES = data.content[i][4];
                        var md5Community = data.content[i][5];
                        var _trap_enable = (data.content[i][6]==0) ? "/*[ID_DISABLE3]*/" : "/*[ID_ENABLE3]*/";
                        var TrapIPAddress = (data.content[i][6]==0) ? "---" : data.content[i][2];
                        var TrapSecurityLevel = (data.content[i][6]==0) ? "---" : data.content[i][3];
                        var datas = "\{\"_username\":\""+$.trim(userName)+"\",\"_des_community\":\""+$.trim(PrivPasswordDES)+"\",\"_md5_community\":\""+$.trim(md5Community)+"\",\"_trap_enable2\":\""+$.trim(data.content[i][6])+"\",\"_trapip\":\""+$.trim(data.content[i][2])+"\",\"_trap_level2\":"+$.trim(data.content[i][3])+",\"NMS3_ipv6\":\""+$.trim(data.content[i][7])+"\"}";
                        }}
                        <ul class="{{if(i%2==0){}}gray{{};}}">
                        <li class="t-1"><span class="left pl"><div name="nms3Select" value="" class="radiodiv radiodivnot" data={{=datas}}></div></span></li>
                        <li class="t-2"><span class="left pl">{{=userName }}</span></li>
                        <li class="t-3"><span class="left pl">{{=PrivPasswordDES }}</span></li>
                        <li class="t-4"><span class="left pl">{{=md5Community }}</span></li>
                        <li class="t-5"><span class="left pl">{{=_trap_enable }}</span></li>
                        <li class="t-6"><span class="left pl">{{=TrapIPAddress }}</span></li>
                        <li class="t-7"><span class="left pl">{{=trapLevel[TrapSecurityLevel] || "---" }}</span></li>
                        </ul>
                    {{} }}
                </div>
                <div class="user-remove"><a href="#" hideFocus="true" class="btn_2 delete"><span>/*[ID_V3DELETE]*/</span></a></span></div>

            </div>
            <div class="set-form clearfix" style="margin:0; border:none; border-top:#fff solid 0px; padding:15px 0;height:auto;position:relative;">
             <form action="../cgi-bin/web_cgi_setting.cgi" id="NMS3Form" method="POST" style="height: 130px;padding: 0;">
                <table cellspacing="0" cellpadding="0" class="table-b">
                    <tbody>
                        <tr>
                            <td><p class="right"><span>/*[ID_NMS_USERNAME1]*/:</span></p></td>
                            <td><p class="left padding-ln"><input name="_username" id="_username" type="text" maxLength="16"/></p></td>
                            <td><p class="right"><span>/*[ID_NMS_DES1]*/:</span></p></td>
                            <td><p class="left padding-ln"><input name="_des_community" id="_des_community" type="text" maxLength="16"/></p></td>
                        </tr>
                        <tr>
                            <td><p class="right"><span>/*[ID_NMS_MD51]*/:</span></p></td>
                            <td><p class="left padding-ln"><input name="_md5_community" id="_md5_community" type="text" maxLength="16" /></p></td>
                            <td><p class="right"><span>/*[ID_V3TRAP_ENABLE1]*/:</span></p></td>
                            <td>
                                <div class="dropdown">
                                    <div class="input_select set_value" data-index="0" name="_trap_enable" id="_trap_enable2">/*[ID_DISABLE1]*/</div>
                                        <ul class="language yinc">
                                             <li><a href="javascript:void(0)" rel="0">/*[ID_DISABLE5]*/</a></li>
                                             <li><a href="javascript:void(0)" rel="1">/*[ID_ENABLE1]*/</a></li>
                                    </ul>
                                </div>
                            </td>
                        </tr>
                        <tr>
                            <td><p class="right"><span>/*[ID_NMS_TRAP_IP1]*/:</span></p></td>
                            <td><p class="left padding-ln"><input name="_trapip" id="_trapip" type="text" class="set_disabled" disabled="disabled"/> <span class="ipv6 nms3-ipv6"><input type="checkbox" name="NMS3_isIPV6" id="NMS3_isIPV6" disabled="disabled" style="width:auto"><span class="ipv6-text">/*[ID_IPV6_ADDR1]*/</span></span></p></td>
                            <td><p class="right"><span>/*[ID_NMS_V3TRAP_LEVE1]*/:</span></p></td>
                            <td><p class="left padding-ln">
                            <div class="dropdown">
                                <div class="input_select set_value" data-index="0" name="_trap_level" id="_trap_level2">{{=trapLevel[0]}}</div>
                                    <ul class="language yinc">
                                    {{  for(var j=0,jlen=trapLevel.length; j<jlen; j++){ }}                     
                                         <li><a href="javascript:void(0)" rel="{{=j}}">{{=trapLevel[j]}}</a></li>
                                    {{ }; }}
                                </ul>
                            </div>
                            </p></td>
                        </tr>
                    </tbody>
                </table>
                <div class="user-set">
                    <a href="#" hideFocus="true" class="btn_2 modify"  style="float:left;{{if(data.content.length==0){}} display:none {{ } }}" ><span>/*[ID_MODIFY1]*/</span></a>
                    <a href="#" hideFocus="true" class="btn_2 add" style="float:left"><span>/*[ID_ADD1]*/</span></a>
                    <a href="#" hideFocus="true" class="btn_2 formReset"  style="float:left"><span>/*[ID_RESET1]*/</span></a>
                </div>
             </form>
        </div>'></div>
      </div>
  </div>
</body></html>
<%
Language["setting_nms"] = {
	"errors":[
		"/*[ID_ERROR0]*/",		/*[0]"Unknown error!"*/
        "/*[ID_ERROR1]*/",		/*[1]"Successfully!"*/
        "/*[ID_ERROR2]*/",		/*[2]"Failure, ACU is hardware protected"*/
        "/*[ID_ERROR3]*/",		/*[3]""*/
        "/*[ID_ERROR4]*/",		/*[4]"No ahtority!"*/
        "/*[ID_ERROR5]*/"		/*[5]""*/
	],
	"tips":[
		"/*[ID_TIPS1]*/",			/*[0]"Please select an NMS before continuing."*/
		"/*[ID_TIPS2]*/",			/*[1]"IP address is not valid."*/
		"/*[ID_TIPS3]*/",			/*[2]"Only numbers, letters and '_' are permitted, can't be over 16 characters or blanks included."*/
		"/*[ID_TIPS4]*/",			/*[3]"Only numbers, letters and '_' are permitted, the length of characters is between 8 and 16."*/
		"/*[ID_TIPS5]*/",			/*[4]"Failed, data format error."*/
		"/*[ID_TIPS6]*/",			/*[5]"Failed. Please refresh the page."*/
		"/*[ID_NMS_PUBLIC2]*/",		/*[6]"Public Community"*/
		"/*[ID_NMS_PRIVATE2]*/",	/*[7]"Private Community"*/
		"/*[ID_NMS_USERNAME2]*/",	/*[8]"User Name"*/
		"/*[ID_NMS_DES2]*/",		/*[9]"Priv Password DES"*/
		"/*[ID_NMS_MD52]*/",		/*[10]"Auth Password MD5"*/
		"/*[ID_LOAD]*/",			/*[11]"Loading"*/
		"/*[ID_IPV6]*/"				/*[12]"IPV6 address is not valid."*/
	]
};
%>
<script>
        if(!(window.location.href.toString().indexOf("hl")>-1))
        {
            var IPurl = window.location.href.toString().split("app")[0];
            window.location.href=""+IPurl+"app/www_user/html/eng/login.html";
        }
</script>